package com.starbuds.server.api.channel.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/4/4 11:37
 * @Description 时段概况  中间
 */
@Data
public class StatPeriodOverViewMiddle implements Serializable {

    /**
     * tag类型
     */
    private Integer tagType;
    /**
     * tag名称
     */
    private String tagName;

    /**
     * 区间值
     */
    private List<Data> rangData;

    /**
     * 今日值
     */
    private List<Data> todayData;

    /**
     * 昨日值
     */
    private List<Data> yesterdayData;

    /**
     * 一周前的值
     */
    private List<Data> oneWeekAgoData;

    private Integer statType1;

    private String statTypeName1;

    private Integer statType2;

    private String statTypeName2;

    @lombok.Data
    public static class Data implements Serializable {

        /**
         * 日期
         */
        private String dateStr;
        /**
         * 小时
         */
        private String hourStr;
        /**
         * 时间
         */
        private String statTime;
        /**
         * 统计值
         */
        private BigDecimal result = BigDecimal.ZERO;

        private BigDecimal value1 = BigDecimal.ZERO;

        private BigDecimal value2 = BigDecimal.ZERO;

    }
}
