package com.starbuds.server.api.channel.common.pojo.constant.notify;

import lombok.Data;

import java.util.List;

/**
 * 异步通知接口描述
 *
 * @author aoe
 * @date 2020/8/19
 */
@Data
public class NotifyApiDetail {

    /**
     * 接口名称
     */
    private String apiName;

    /**
     * 接口编号
     */
    private int apiNo;

    /**
     * 接口路径
     */
    private String apiPath;

    /**
     * 接口描述
     */
    private String apiDesc;

    /**
     * 请求方法 GET/POST
     */
    private String method;

    /**
     * 内容类型
     */
    private String contentType;

    /**
     * 异步通知公共参数
     */
    private List<NotifyParameter> commonParams;

    /**
     * 异步通知参数
     */
    private List<NotifyParameter> notifyParams;

    /**
     * 异步返回参数
     */
    private List<NotifyParameter> returnParams;

    /**
     * 通知触发条件
     */
    private List<String> triggerConditions;

    /**
     * CURL请求示例
     */
    private String curlExample;

    /**
     * 正常响应示例
     */
    private String responseExample;

    /**
     * 异步返回结果的验签说明
     */
    private List<String> verificationInstructions;

    /**
     * 失败码说明
     */
    private List<String> failCodes;
}
