package com.starbuds.server.api.channel.common.pojo.form;

import lombok.Data;
import com.starbuds.server.common.annotation.check.*;

import org.hibernate.validator.constraints.Length;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * 渠道异步通知配置
 */
@Data
public class ChannelNotifyConfigForm implements Serializable {

    /**
     * 接口编号
     */
    @XyNotNull(msg = "接口编号不能为空")
    @FormParam("apiNo")
    private Integer apiNo;

    /**
     * 主机地址
     */
    @XyNotBlank(msg = "主机地址不能为空")
    @Length(max = 100, message = "主机地址最大长度100个字符")
    @FormParam("hostUrl")
    private String hostUrl;
}