package com.starbuds.server.api.channel.common.pojo.form;

import lombok.Data;
import com.starbuds.server.common.annotation.check.*;

import org.hibernate.validator.constraints.Length;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * 渠道异步通知记录
 */
@Data
public class ChannelNotifyHisForm implements Serializable {

    /**
     * 主键
     */
    @FormParam("hisId")
    private Long hisId;

    /**
     * 追踪id
     */
    @XyNotNull(msg = "追踪id不能为空")
    @FormParam("traceId")
    private Long traceId;

    /**
     * 渠道id
     */
    @XyNotNull(msg = "渠道id不能为空")
    @FormParam("channelId")
    private Long channelId;

    /**
     * 接口编号
     */
    @XyNotNull(msg = "接口编号不能为空")
    @FormParam("apiNo")
    private Integer apiNo;

    /**
     * 通知url
     */
    @XyNotBlank(msg = "通知url不能为空")
    @Length(max = 200, message = "通知url最大长度200个字符")
    @FormParam("notifyUrl")
    private String notifyUrl;

    /**
     * 通知数据
     */
    @XyNotBlank(msg = "通知数据不能为空")
    @Length(max = 200, message = "通知数据最大长度200个字符")
    @FormParam("notifyData")
    private String notifyData;

    /**
     * 通知次数
     */
    @XyNotNull(msg = "通知次数不能为空")
    @FormParam("notifyTimes")
    private Integer notifyTimes;

    /**
     * 处理结果是否成功
     */
    @XyNotNull(msg = "处理结果是否成功不能为空")
    @FormParam("isSuccess")
    private Integer isSuccess;

    /**
     * 响应结果
     */
    @XyNotBlank(msg = "响应结果不能为空")
    @Length(max = 500, message = "响应结果最大长度500个字符")
    @FormParam("response")
    private String response;

    /**
     * 响应结果是否成功
     */
    @XyNotNull(msg = "响应结果是否成功不能为空")
    @FormParam("resIsSuccess")
    private Integer resIsSuccess;

    /**
     * 调用时长
     */
    @XyNotNull(msg = "调用时长不能为空")
    @FormParam("callDuration")
    private Integer callDuration;

    /**
     * 创建时间
     */
    @XyNotNull(msg = "创建时间不能为空")
    @FormParam("createTime")
    private Long createTime;

}