package com.starbuds.server.api.channel.common.pojo.form;

import lombok.Data;
import com.starbuds.server.common.annotation.check.*;

import java.math.BigDecimal;

import org.hibernate.validator.constraints.Length;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * 渠道充值记录
 */
@Data
public class ChannelRechargeHisForm implements Serializable {

    /**
     * 渠道id
     */
    @XyNotNull(msg = "渠道id不能为空")
    @FormParam("channelId")
    private Long channelId;

    /**
     * 第三方交易id
     */
    @XyNotBlank(msg = "第三方交易id不能为空")
    @Length(max = 100, message = "第三方交易id最大长度100个字符")
    @FormParam("tradeId")
    private String tradeId;

    /**
     * 充值金额
     */
    @XyNotNull(msg = "充值金额不能为空")
    @FormParam("payAmount")
    private BigDecimal payAmount;

    /**
     * 支付货币
     */
    @XyNotNull(msg = "支付货币不能为空")
    @FormParam("payCurrency")
    private Long payCurrency;

    /**
     * 充值兑换道具货币类型
     */
    @XyNotNull(msg = "充值兑换道具货币类型不能为空")
    @FormParam("coinType")
    private Integer coinType;

    /**
     * 充值兑换道具货币金额
     */
    @XyNotNull(msg = "充值兑换道具货币金额不能为空")
    @FormParam("coinAmount")
    private Long coinAmount;

}