package com.starbuds.server.api.channel.common.pojo.form;

import lombok.Data;
import com.starbuds.server.common.annotation.check.*;


import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * 渠道发红包记录
 */
@Data
public class ChannelRedEnvelopeHisForm implements Serializable {

    /**
     *
     */
    @FormParam("hisId")
    private Long hisId;

    /**
     * 渠道id
     */
    @XyNotNull(msg = "渠道id不能为空")
    @FormParam("channelId")
    private Long channelId;

    /**
     * 第三方交易id(后台管理员充值为null)
     */
    @XyNotBlank(msg = "第三方交易id(后台管理员充值为null)不能为空")
    @FormParam("tradeId")
    private String tradeId;

    /**
     * 红包货币类型（WalletTypeEnum）
     */
    @XyNotNull(msg = "红包货币类型（WalletTypeEnum）不能为空")
    @FormParam("coinType")
    private Integer coinType;

    /**
     * 红包发放总金额
     */
    @XyNotNull(msg = "红包发放总金额不能为空")
    @FormParam("totalAmount")
    private Long totalAmount;

    /**
     * 兑换列表明细
     */
    @XyNotBlank(msg = "兑换列表明细不能为空")
    @FormParam("detail")
    private String detail;

    /**
     * 处理状态
     */
    @XyNotNull(msg = "处理状态不能为空")
    @FormParam("status")
    private Integer status;

    /**
     * 调用方IP
     */
    @XyNotBlank(msg = "调用方IP不能为空")
    @FormParam("ip")
    private String ip;

    /**
     * 创建时间
     */
    @XyNotNull(msg = "创建时间不能为空")
    @FormParam("createTime")
    private Long createTime;

    /**
     * 更新时间
     */
    @XyNotNull(msg = "更新时间不能为空")
    @FormParam("updateTime")
    private Long updateTime;

    /**
     * 备注
     */
    @XyNotBlank(msg = "备注不能为空")
    @FormParam("remark")
    private String remark;

    /**
     * 管理员id（0:接口发送）
     */
    @XyNotNull(msg = "管理员id（0:接口发送）不能为空")
    @FormParam("adminId")
    private Long adminId;

}