package com.starbuds.server.api.channel.common.pojo.form;

import lombok.Data;
import com.starbuds.server.common.annotation.check.*;

import org.hibernate.validator.constraints.Length;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * 渠道RSA2信息
 */
@Data
public class ChannelSecretRsaForm implements Serializable {

    /**
     * 渠道id
     */
    @FormParam("channelId")
    private Long channelId;

    /**
     * 渠道方提供的RSA2公钥
     */
    @XyNotBlank(msg = "RSA公钥不能为空")
    @Length(max = 500, message = "RSA公钥最大长度500个字符")
    @FormParam("pubKey")
    private String pubKey;

}