package com.starbuds.server.api.channel.common.pojo.form;

import lombok.Data;
import com.starbuds.server.common.annotation.check.*;


import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * 渠道钱包
 */
@Data
public class ChannelWalletForm implements Serializable {

    /**
     * 渠道钱包主键
     */
    @FormParam("chWalletId")
    @XyNotNull(msg = "chWalletId不能为空", ignoreCreate = true)
    private Long chWalletId;

    /**
     * 渠道id
     */
    @XyNotNull(msg = "渠道id不能为空")
    @FormParam("channelId")
    private Long channelId;

    /**
     * 钱包类型
     */
    @XyNotNull(msg = "钱包类型不能为空")
    @FormParam("type")
    private Integer type;

    /**
     * 余额
     */
    @XyNotNull(msg = "余额不能为空")
    @FormParam("balance")
    private Long balance;

    /**
     * 创建时间
     */
    @XyNotNull(msg = "创建时间不能为空")
    @FormParam("createTime")
    private Long createTime;

    /**
     * 更新时间
     */
    @XyNotNull(msg = "更新时间不能为空")
    @FormParam("updateTime")
    private Long updateTime;

    /**
     * 版本号
     */
    @XyNotNull(msg = "版本号不能为空")
    @FormParam("version")
    private Integer version;

}