package com.starbuds.server.api.channel.common.pojo.form;

import lombok.Data;
import com.starbuds.server.common.annotation.check.*;

import org.hibernate.validator.constraints.Length;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * 渠道钱包变更记录
 */
@Data
public class ChannelWalletHisForm implements Serializable {

    /**
     * 主键
     */
    @FormParam("hisId")
    private Long hisId;

    /**
     * 渠道钱包id
     */
    @XyNotNull(msg = "渠道钱包id不能为空")
    @FormParam("chWalletId")
    private Long chWalletId;

    /**
     * 渠道id
     */
    @XyNotNull(msg = "渠道id不能为空")
    @FormParam("channelId")
    private Long channelId;

    /**
     * 钱包类型
     */
    @XyNotNull(msg = "钱包类型不能为空")
    @FormParam("walletType")
    private Integer walletType;

    /**
     * 业务类型
     */
    @XyNotNull(msg = "业务类型不能为空")
    @FormParam("businessType")
    private Integer businessType;

    /**
     * 变更前余额
     */
    @XyNotNull(msg = "变更前余额不能为空")
    @FormParam("balanceOld")
    private Long balanceOld;

    /**
     * 变动金额
     */
    @XyNotNull(msg = "变动金额不能为空")
    @FormParam("balanceValue")
    private Long balanceValue;

    /**
     * 变动后金额
     */
    @XyNotNull(msg = "变动后金额不能为空")
    @FormParam("balanceNew")
    private Long balanceNew;

    /**
     * 备注
     */
    @XyNotBlank(msg = "备注不能为空")
    @Length(max = 500, message = "备注最大长度500个字符")
    @FormParam("remark")
    private String remark;

    /**
     * 追踪id
     */
    @XyNotNull(msg = "追踪id不能为空")
    @FormParam("traceId")
    private Long traceId;

    /**
     * 创建时间
     */
    @XyNotNull(msg = "创建时间不能为空")
    @FormParam("createTime")
    private Long createTime;

}