package com.starbuds.server.api.channel.common.pojo.form;

import com.starbuds.server.api.channel.common.pojo.bo.RedEnvelopeDetail;
import com.starbuds.server.common.annotation.check.XyNotBlank;
import com.starbuds.server.common.annotation.check.XyNotNull;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import java.util.List;

/**
 * 发红包表单
 *
 * @author aoe
 * @date 2020/8/17
 */
@Data
public class OpenApiRedEnvelopeForm {

    /**
     * 渠道id
     */
    @XyNotNull(msg = "channelId不能为空")
    private Long channelId;

    /**
     * 第三方交易id
     */
    @XyNotBlank(msg = "tradeId不能为空")
    @Length(max = 100, message = "tradeId最大长度100个字符")
    private String tradeId;

    /**
     * 兑换道具货币类型 11:星钻
     */
    @XyNotNull(msg = "coinType不能为空")
    private Integer coinType;

    /**
     * 兑换列表明细
     */
    @XyNotNull(msg = "detailList不能为空")
    private List<RedEnvelopeDetail> detailList;

    /**
     * 签名
     */
    @XyNotBlank(msg = "sign不能为空")
    private String sign;
}
