package com.starbuds.server.api.channel.common.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;
import javax.ws.rs.QueryParam;

/**
 * 渠道异步通知配置
 */
@Data
public class ChNotifyConfigPageListQO extends PageQO implements Serializable {

    /**
     * 接口编号
     */
    @QueryTag
    @QueryParam("apiNo")
    private Integer apiNo;

    /**
     * 主机地址
     */
    @QueryTag
    @QueryParam("hostUrl")
    private String hostUrl;

    /**
     * 创建时间
     */
    @QueryTag
    @QueryParam("createTime")
    private Long createTime;

    /**
     * 更新时间
     */
    @QueryTag
    @QueryParam("updateTime")
    private Long updateTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    @QueryParam("startTime")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    @QueryParam("endTime")
    private Long endTime;
}