package com.starbuds.server.api.channel.common.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;
import javax.ws.rs.QueryParam;

/**
 * 渠道异步通知记录
 */
@Data
public class ChNotifyHisPageListQO extends PageQO implements Serializable {

    /**
     * 追踪id
     */
    @QueryTag
    @QueryParam("traceId")
    private Long traceId;

    /**
     * 渠道id
     */
    @QueryTag
    @QueryParam("channelId")
    private Long channelId;

    /**
     * 接口编号
     */
    @QueryTag
    @QueryParam("apiNo")
    private Integer apiNo;

    /**
     * 通知url
     */
    @QueryTag
    @QueryParam("notifyUrl")
    private String notifyUrl;

    /**
     * 通知数据
     */
    @QueryTag
    @QueryParam("notifyData")
    private String notifyData;

    /**
     * 通知次数
     */
    @QueryTag
    @QueryParam("notifyTimes")
    private Integer notifyTimes;

    /**
     * 处理结果是否成功 1:成功; 0:失败
     */
    @QueryTag
    @QueryParam("isSuccess")
    private Integer isSuccess;

    /**
     * 响应结果
     */
    @QueryTag
    @QueryParam("response")
    private String response;

    /**
     * 响应结果是否成功
     */
    @QueryTag
    @QueryParam("resIsSuccess")
    private Integer resIsSuccess;

    /**
     * 调用时长
     */
    @QueryTag
    @QueryParam("callDuration")
    private Integer callDuration;

    /**
     * 创建时间
     */
    @QueryTag
    @QueryParam("createTime")
    private Long createTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    @QueryParam("startTime")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    @QueryParam("endTime")
    private Long endTime;
}