package com.starbuds.server.api.channel.common.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;

import java.math.BigDecimal;

import java.io.Serializable;
import javax.ws.rs.QueryParam;

/**
 * 渠道充值记录
 */
@Data
public class ChRechargeHisPageListQO extends PageQO implements Serializable {

    /**
     * 主键
     */
    @QueryTag
    @QueryParam("hisId")
    private Long hisId;

    /**
     * 渠道id
     */
    @QueryTag
    @QueryParam("channelId")
    private Long channelId;

    /**
     * 充值金额
     */
    @QueryTag
    @QueryParam("payAmount")
    private BigDecimal payAmount;

    /**
     * 支付货币
     */
    @QueryTag
    @QueryParam("payCurrency")
    private Long payCurrency;

    /**
     * 充值兑换道具货币类型（和WalletTypeEnum 钱包货币类型一致）
     */
    @QueryTag
    @QueryParam("coinType")
    private Integer coinType;

    /**
     * 充值兑换道具货币金额
     */
    @QueryTag
    @QueryParam("coinAmount")
    private Long coinAmount;

    /**
     * 创建时间
     */
    @QueryTag
    @QueryParam("createTime")
    private Long createTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    @QueryParam("startTime")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    @QueryParam("endTime")
    private Long endTime;

    /**
     * 支付状态（手动添加，来自tb_pay）11:待支付; 21:支付失败; 22:支付取消; 99:支付成功
     */
    @QueryTag
    @QueryParam("payStatus")
    private Integer payStatus;
}