package com.starbuds.server.api.channel.common.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;
import javax.ws.rs.QueryParam;

/**
 * 渠道发红包记录
 */
@Data
public class ChRedEnvelopeHisPageListQO extends PageQO implements Serializable {

    /**
     *
     */
    @QueryTag
    @QueryParam("hisId")
    private Long hisId;

    /**
     * 渠道id
     */
    @QueryTag
    @QueryParam("channelId")
    private Long channelId;

    /**
     * 第三方交易id
     */
    @QueryTag
    @QueryParam("tradeId")
    private String tradeId;

    /**
     * 红包货币类型（WalletTypeEnum）
     */
    @QueryTag
    @QueryParam("coinType")
    private Integer coinType;

    /**
     * 红包发放总金额
     */
    @QueryTag
    @QueryParam("totalAmount")
    private Long totalAmount;

    /**
     * 兑换列表明细
     */
    @QueryTag
    @QueryParam("detail")
    private String detail;

    /**
     * 处理状态 10:发送红包请求接收成功; 20:发送红包请求处理中; 30:发红包成功; 40:发红包失败
     */
    @QueryTag
    @QueryParam("status")
    private Integer status;

    /**
     * 调用方IP
     */
    @QueryTag
    @QueryParam("ip")
    private String ip;

    /**
     * 创建时间
     */
    @QueryTag
    @QueryParam("createTime")
    private Long createTime;

    /**
     * 更新时间
     */
    @QueryTag
    @QueryParam("updateTime")
    private Long updateTime;

    /**
     * 追踪id
     */
    @QueryTag
    @QueryParam("traceId")
    private Long traceId;

    /**
     * 备注
     */
    @QueryTag
    @QueryParam("remark")
    private String remark;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    @QueryParam("startTime")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    @QueryParam("endTime")
    private Long endTime;
}