package com.starbuds.server.api.channel.common.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;
import javax.ws.rs.QueryParam;

/**
 * 渠道RSA2信息
 */
@Data
public class ChSecretRsaPageListQO extends PageQO implements Serializable {

    /**
     * 主键
     */
    @QueryTag
    @QueryParam("chSecretRsaId")
    private Long chSecretRsaId;

    /**
     * 渠道id
     */
    @QueryTag
    @QueryParam("channelId")
    private Long channelId;

    /**
     * 星芽RSA2私钥
     */
    @QueryTag
    @QueryParam("xyPrivKey")
    private String xyPrivKey;

    /**
     * 星芽RSA2公钥
     */
    @QueryTag
    @QueryParam("xyPubKey")
    private String xyPubKey;

    /**
     * 渠道方提供的RSA2公钥
     */
    @QueryTag
    @QueryParam("pubKey")
    private String pubKey;

    /**
     * 操作管理员id
     */
    @QueryTag
    @QueryParam("adminId")
    private Long adminId;

    /**
     * 创建时间
     */
    @QueryTag
    @QueryParam("createTime")
    private Long createTime;

    /**
     * 更新时间
     */
    @QueryTag
    @QueryParam("updateTime")
    private Long updateTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    @QueryParam("startTime")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    @QueryParam("endTime")
    private Long endTime;
}