package com.starbuds.server.api.channel.common.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;
import javax.ws.rs.QueryParam;

/**
 * 渠道钱包变更记录
 */
@Data
public class ChWalletHisPageListQO extends PageQO implements Serializable {

    /**
     * 主键
     */
    @QueryTag
    @QueryParam("hisId")
    private Long hisId;

    /**
     * 渠道钱包id
     */
    @QueryTag
    @QueryParam("chWalletId")
    private Long chWalletId;

    /**
     * 渠道id
     */
    @QueryTag
    @QueryParam("channelId")
    private Long channelId;

    /**
     * 钱包类型
     */
    @QueryTag
    @QueryParam("walletType")
    private Integer walletType;

    /**
     * 业务类型
     */
    @QueryTag
    @QueryParam("businessType")
    private Integer businessType;

    /**
     * 变更前余额
     */
    @QueryTag
    @QueryParam("balanceOld")
    private Long balanceOld;

    /**
     * 变动金额
     */
    @QueryTag
    @QueryParam("balanceValue")
    private Long balanceValue;

    /**
     * 变动后金额
     */
    @QueryTag
    @QueryParam("balanceNew")
    private Long balanceNew;

    /**
     * 备注
     */
    @QueryTag(condition = "like")
    @QueryParam("remark")
    private String remark;

    /**
     * 追踪id
     */
    @QueryTag
    @QueryParam("traceId")
    private Long traceId;

    /**
     * 创建时间
     */
    @QueryTag
    @QueryParam("createTime")
    private Long createTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    @QueryParam("startTime")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    @QueryParam("endTime")
    private Long endTime;
}