package com.starbuds.server.api.channel.common.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;
import javax.ws.rs.QueryParam;

/**
 * 渠道钱包
 */
@Data
public class ChWalletPageListQO extends PageQO implements Serializable {

    /**
     * 渠道钱包主键
     */
    @QueryTag
    @QueryParam("chWalletId")
    private Long chWalletId;

    /**
     * 渠道id
     */
    @QueryTag
    @QueryParam("channelId")
    private Long channelId;

    /**
     * 钱包类型
     */
    @QueryTag
    @QueryParam("type")
    private Integer type;

    /**
     * 余额
     */
    @QueryTag
    @QueryParam("balance")
    private Long balance;

    /**
     * 创建时间
     */
    @QueryTag
    @QueryParam("createTime")
    private Long createTime;

    /**
     * 更新时间
     */
    @QueryTag
    @QueryParam("updateTime")
    private Long updateTime;

    /**
     * 版本号
     */
    @QueryTag
    @QueryParam("version")
    private Integer version;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    @QueryParam("startTime")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    @QueryParam("endTime")
    private Long endTime;
}