package com.starbuds.server.api.channel.common.pojo.qo;

import lombok.Data;

import javax.ws.rs.QueryParam;
import java.io.Serializable;

/**
 * 分页查询对象
 *
 * @author aoe
 * @date 2020/6/22
 */
@Data
public class PageQO implements Serializable {

    /**
     * 当前页码
     */
    @QueryParam("pageIndex")
    private Integer pageIndex;

    /**
     * 分页大小
     */
    @QueryParam("pageSize")
    private Integer pageSize;

    public Integer getPageIndex() {
        if (pageIndex == null) {
            pageIndex = 1;
        }
        return pageIndex;
    }

    public Integer getPageSize() {
        if (pageSize == null) {
            pageSize = 10;
        }
        return pageSize;
    }
}
