package com.starbuds.server.api.channel.common.pojo.request;

import java.io.Serializable;

/**
 * 渠道异步通知请求
 *
 * @author aoe
 * @date 2020/8/20
 */
public class NotifyRequest implements Serializable {

    /**
     * 第三方交易id
     */
    private String tradeId;

    /**
     * 处理结果 success:成功; fail:失败
     */
    private String result;

    /**
     * 通知的发送时间 格式为yyyy-MM-dd HH:mm:ss"
     */
    private String notify_time;

    /**
     * 签名
     */
    private String sign;

    /**
     * @param tradeId
     * @param isSuccess true:成功
     */
    public NotifyRequest(String tradeId, boolean isSuccess) {
        this.tradeId = tradeId;
        this.result = isSuccess ? "success" : "fail";
    }

    public NotifyRequest setNotify_time(String notify_time) {
        this.notify_time = notify_time;
        return this;
    }

    public NotifyRequest setSign(String sign) {
        this.sign = sign;
        return this;
    }

    public String getTradeId() {
        return tradeId;
    }

    public String getResult() {
        return result;
    }

    public String getNotify_time() {
        return notify_time;
    }

    public String getSign() {
        return sign;
    }
}
