package com.starbuds.server.api.channel.common.service.admin;

import com.starbuds.server.api.channel.common.pojo.constant.NotifyApiEnum;
import com.starbuds.server.api.channel.common.pojo.vo.ChannelNotifyConfigDetailVO;
import com.starbuds.server.common.pojo.db.ChannelNotifyConfigDO;
import com.starbuds.server.api.channel.common.pojo.qo.ChNotifyConfigPageListQO;
import com.starbuds.server.api.channel.common.pojo.vo.ChannelNotifyConfigVO;

import com.starbuds.server.common.pojo.api.PageList;

import java.util.List;

import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

/**
 * 渠道异步通知配置服务
 */
public interface ChChannelNotifyConfigService {

    /**
     * 插入数据
     *
     * @param po
     * @return null:插入失败
     */
    ChannelNotifyConfigDO create(ChannelNotifyConfigDO po);

    /**
     * 插入批量数据
     */
    boolean createBatch(List<ChannelNotifyConfigDO> list);

    /**
     * 插入或更新数据
     */
    boolean createOrUpdate(ChannelNotifyConfigDO po);

    /**
     * 更新数据
     */
    boolean updateById(ChannelNotifyConfigDO po);

    /**
     * 更新数据
     */
    boolean update(UpdateWrapper uw);

    /**
     * 根据id查询
     */
    ChannelNotifyConfigDO getById(Long id);

    /**
     * 根据id查询
     */
    ChannelNotifyConfigVO getVOById(Long id);

    /**
     * 判断是否存在
     *
     * @param id 主键
     * @return true:存在
     */
    boolean exist(Long id);

    /**
     * 分页查询
     */
    PageList<ChannelNotifyConfigDO> getPageList(ChNotifyConfigPageListQO qo);

    /**
     * 分页查询
     */
    PageList<ChannelNotifyConfigVO> getVOPageList(ChNotifyConfigPageListQO qo);

// 手动编码开始

    /**
     * 获得渠道异步通知配置详情
     *
     * @param channelId
     * @param notifyApiEnum
     * @return
     */
    ChannelNotifyConfigDetailVO getNotifyCfgVO(long channelId, NotifyApiEnum notifyApiEnum);

    /**
     * 获得渠道异步通知配置
     *
     * @param channelId
     * @param notifyApiEnum
     * @return
     */
    ChannelNotifyConfigDO getNotifyCfg(long channelId, NotifyApiEnum notifyApiEnum);

    /**
     * 获得Api地址
     *
     * @param channelId
     * @param notifyApiEnum
     * @return
     */
    String getApiUrl(long channelId, NotifyApiEnum notifyApiEnum);
}