package com.starbuds.server.api.channel.common.service.admin;

import com.starbuds.server.api.channel.common.pojo.constant.NotifyApiEnum;
import com.starbuds.server.api.channel.common.pojo.request.NotifyRequest;
import com.starbuds.server.common.pojo.api.Result;
import com.starbuds.server.common.pojo.db.ChannelNotifyHisDO;
import com.starbuds.server.api.channel.common.pojo.qo.ChNotifyHisPageListQO;
import com.starbuds.server.api.channel.common.pojo.vo.ChannelNotifyHisVO;

import com.starbuds.server.common.pojo.api.PageList;

import java.util.List;

import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.db.ChannelRedEnvelopeHisDO;

/**
 * 渠道异步通知记录服务
 */
public interface ChChannelNotifyHisService {

    /**
     * 插入数据
     *
     * @param po
     * @return null:插入失败
     */
    ChannelNotifyHisDO create(ChannelNotifyHisDO po);

    /**
     * 插入批量数据
     */
    boolean createBatch(List<ChannelNotifyHisDO> list);

    /**
     * 插入或更新数据
     */
    boolean createOrUpdate(ChannelNotifyHisDO po);

    /**
     * 更新数据
     */
    boolean updateById(ChannelNotifyHisDO po);

    /**
     * 更新数据
     */
    boolean update(UpdateWrapper uw);

    /**
     * 根据id查询
     */
    ChannelNotifyHisDO getById(Long id);

    /**
     * 根据id查询
     */
    ChannelNotifyHisVO getVOById(Long id);

    /**
     * 判断是否存在
     *
     * @param id 主键
     * @return true:存在
     */
    boolean exist(Long id);

    /**
     * 分页查询
     */
    PageList<ChannelNotifyHisDO> getPageList(ChNotifyHisPageListQO qo);

    /**
     * 分页查询
     */
    PageList<ChannelNotifyHisVO> getVOPageList(ChNotifyHisPageListQO qo);

// 手动编码开始

    /**
     * 发送回调通知
     *
     * @param channelId
     * @param traceId
     * @param apiEnum
     * @param request   渠道异步通知请求
     * @param times     请求次数
     */
    void sendNotification(long channelId, Long traceId, NotifyApiEnum apiEnum, NotifyRequest request, int times);

    /**
     * 重发通知消息
     *
     * @param hisId 渠道异步通知记录id
     */
    void resendNotification(Long hisId, ChannelNotifyHisDO notifyHisDO, ChannelRedEnvelopeHisDO redEnvHis);
}