package com.starbuds.server.api.channel.common.service.admin;

import com.starbuds.server.api.channel.common.pojo.vo.ChannelRechargeVO;
import com.starbuds.server.common.pojo.db.ChannelRechargeHisDO;
import com.starbuds.server.api.channel.common.pojo.qo.ChRechargeHisPageListQO;
import com.starbuds.server.api.channel.common.pojo.vo.ChannelRechargeHisVO;

import com.starbuds.server.common.pojo.api.PageList;

import java.util.List;

import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.finance.ChannelPayOrder;

/**
 * 渠道充值记录服务
 */
public interface ChChannelRechargeHisService {

    /**
     * 插入数据
     *
     * @param po
     * @return null:插入失败
     */
    ChannelRechargeHisDO create(ChannelRechargeHisDO po);

    /**
     * 插入批量数据
     */
    boolean createBatch(List<ChannelRechargeHisDO> list);

    /**
     * 插入或更新数据
     */
    boolean createOrUpdate(ChannelRechargeHisDO po);

    /**
     * 更新数据
     */
    boolean updateById(ChannelRechargeHisDO po);

    /**
     * 更新数据
     */
    boolean update(UpdateWrapper uw);

    /**
     * 根据id查询
     */
    ChannelRechargeHisDO getById(Long id);

    /**
     * 根据id查询
     */
    ChannelRechargeHisVO getVOById(Long id);

    /**
     * 判断是否存在
     *
     * @param id 主键
     * @return true:存在
     */
    boolean exist(Long id);

    /**
     * 分页查询
     */
    PageList<ChannelRechargeHisDO> getPageList(ChRechargeHisPageListQO qo);

    /**
     * 分页查询
     */
    PageList<ChannelRechargeHisVO> getVOPageList(ChRechargeHisPageListQO qo);

// 手动编码开始

    /**
     * 渠道钱包充值
     *
     * @param channelId
     * @param amount
     * @return
     */
    ChannelRechargeVO recharge(Long channelId, Long amount);

    /**
     * 查询渠道充值订单支付状态
     *
     * @param channelId
     * @param hisId
     * @return
     */
    Integer getPayStatus(Long channelId, Long hisId);
}