package com.starbuds.server.api.channel.common.service.admin;

import com.starbuds.server.api.channel.common.pojo.bo.RedEnvelopeDetail;
import com.starbuds.server.common.pojo.db.ChannelRedEnvelopeHisDO;
import com.starbuds.server.api.channel.common.pojo.qo.ChRedEnvelopeHisPageListQO;
import com.starbuds.server.api.channel.common.pojo.vo.ChannelRedEnvelopeHisVO;

import com.starbuds.server.common.pojo.api.PageList;

import java.util.List;

import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.finance.ChannelExchangeOrder;

/**
 * 渠道发红包记录服务
 */
public interface ChChannelRedEnvelopeHisService {

    /**
     * 插入数据
     *
     * @param po
     * @return null:插入失败
     */
    ChannelRedEnvelopeHisDO create(ChannelRedEnvelopeHisDO po);

    /**
     * 插入批量数据
     */
    boolean createBatch(List<ChannelRedEnvelopeHisDO> list);

    /**
     * 插入或更新数据
     */
    boolean createOrUpdate(ChannelRedEnvelopeHisDO po);

    /**
     * 更新数据
     */
    boolean updateById(ChannelRedEnvelopeHisDO po);

    /**
     * 更新数据
     */
    boolean update(UpdateWrapper uw);

    /**
     * 根据id查询
     */
    ChannelRedEnvelopeHisDO getById(Long id);

    /**
     * 根据id查询
     */
    ChannelRedEnvelopeHisVO getVOById(Long id);

    /**
     * 判断是否存在
     *
     * @param id 主键
     * @return true:存在
     */
    boolean exist(Long id);

    /**
     * 分页查询
     */
    PageList<ChannelRedEnvelopeHisDO> getPageList(ChRedEnvelopeHisPageListQO qo);

    /**
     * 分页查询
     */
    PageList<ChannelRedEnvelopeHisVO> getVOPageList(ChRedEnvelopeHisPageListQO qo);

// 手动编码开始

    /**
     * 计算兑换总金额
     *
     * @param detailList
     * @return
     */
    Long getTotalAmount(List<RedEnvelopeDetail> detailList);

    /**
     * 保存发送红包请求
     *
     * @param po
     * @param detailList
     * @param exchangeOrders
     * @return
     */
    ChannelRedEnvelopeHisDO saveRedEnvelope(ChannelRedEnvelopeHisDO po, List<RedEnvelopeDetail> detailList,
                                            List<ChannelExchangeOrder> exchangeOrders);

    /**
     * 发红包（异步执行）
     *
     * @param channelId
     * @param hisId          渠道发红包记录id
     * @param exchangeOrders
     * @param tradeId        第三方交易id
     */
    void asyncSendDiamond(Long channelId, Long hisId, List<ChannelExchangeOrder> exchangeOrders, String tradeId);

    /**
     * 发放星钻红包
     *
     * @param channelId
     * @param redEnvHisId    红包流水id
     * @param exchangeOrders
     * @return
     */
    Long sendDiamond(Long channelId, Long redEnvHisId, List<ChannelExchangeOrder> exchangeOrders);
}