package com.starbuds.server.api.channel.common.service.admin;

import com.starbuds.server.api.channel.common.pojo.db.ChannelSecretRsaDO;
import com.starbuds.server.api.channel.common.pojo.qo.ChSecretRsaPageListQO;
import com.starbuds.server.api.channel.common.pojo.vo.ChannelSecretRsaVO;

import com.starbuds.server.common.pojo.api.PageList;

import java.util.List;

import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

/**
 * 渠道RSA2信息服务
 */
public interface ChChannelSecretRsaService {

    /**
     * 插入数据
     *
     * @param po
     * @return null:插入失败
     */
    ChannelSecretRsaDO create(ChannelSecretRsaDO po);

    /**
     * 插入批量数据
     */
    boolean createBatch(List<ChannelSecretRsaDO> list);

    /**
     * 插入或更新数据
     */
    boolean createOrUpdate(ChannelSecretRsaDO po);

    /**
     * 更新数据
     */
    boolean updateById(ChannelSecretRsaDO po);

    /**
     * 更新数据
     */
    boolean update(UpdateWrapper uw);

    /**
     * 根据id查询
     */
    ChannelSecretRsaDO getById(Long id);

    /**
     * 根据id查询
     */
    ChannelSecretRsaVO getVOById(Long id);

    /**
     * 判断是否存在
     *
     * @param id 主键
     * @return true:存在
     */
    boolean exist(Long id);

    /**
     * 分页查询
     */
    PageList<ChannelSecretRsaDO> getPageList(ChSecretRsaPageListQO qo);

    /**
     * 分页查询
     */
    PageList<ChannelSecretRsaVO> getVOPageList(ChSecretRsaPageListQO qo);

// 手动编码开始

    /**
     * 获得RSA相关信息（查询或新增）
     *
     * @param channelId 渠道id
     * @return
     */
    ChannelSecretRsaVO getRsaVO(Long channelId);

    /**
     * 获得RSA相关信息
     *
     * @param channelId 渠道id
     * @return
     */
    ChannelSecretRsaDO getRsa(Long channelId);

}