package com.starbuds.server.api.channel.common.service.admin;

import com.starbuds.server.api.channel.common.pojo.qo.ChWalletHisPageListQO;
import com.starbuds.server.api.channel.common.pojo.vo.ChannelWalletHisVO;
import com.starbuds.server.common.pojo.api.PageList;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.db.ChannelWalletHisDO;

import java.util.List;

/**
 * 渠道钱包变更记录服务
 */
public interface ChChannelWalletHisService {

    /**
     * 插入数据
     *
     * @param po
     * @return null:插入失败
     */
    ChannelWalletHisDO create(ChannelWalletHisDO po);

    /**
     * 插入批量数据
     */
    boolean createBatch(List<ChannelWalletHisDO> list);

    /**
     * 插入或更新数据
     */
    boolean createOrUpdate(ChannelWalletHisDO po);

    /**
     * 更新数据
     */
    boolean updateById(ChannelWalletHisDO po);

    /**
     * 更新数据
     */
    boolean update(UpdateWrapper uw);

    /**
     * 根据id查询
     */
    ChannelWalletHisDO getById(Long id);

    /**
     * 根据id查询
     */
    ChannelWalletHisVO getVOById(Long id);

    /**
     * 判断是否存在
     *
     * @param id 主键
     * @return true:存在
     */
    boolean exist(Long id);

    /**
     * 分页查询
     */
    PageList<ChannelWalletHisDO> getPageList(ChWalletHisPageListQO qo);

    /**
     * 分页查询
     */
    PageList<ChannelWalletHisVO> getVOPageList(ChWalletHisPageListQO qo);

// 手动编码开始

}