package com.starbuds.server.api.channel.common.service.admin;

import com.starbuds.server.api.channel.common.pojo.admin.UserVO;
import com.starbuds.server.common.pojo.api.PageList;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/4/22 14:37
 * @Description 用户业务
 */
public interface ChUserService {

    /**
     * 用户列表
     *
     * @param userNo     用户号
     * @param userName   用户昵称
     * @param niceNo     靓号
     * @param userPhone  手机号
     * @param idCardNo   身份证号
     * @param isAnchor   角色（是否主播）
     * @param userStatus 用户状态
     * @param channelId  渠道id
     * @param pageNum    页码
     * @param pageSize   每页记录数
     * @param sortType   排序类型（1，注册时间；2，财富等级；3，魅力等级）
     * @param isAsc      是否升序
     * @param startTime  开始时间
     * @param endTime    结束时间
     * @return
     */
    PageList<UserVO> getUserList(Long userNo, String userName, Long niceNo, String userPhone, String idCardNo,
                                 Integer isAnchor, Integer userStatus, Long channelId, int pageNum, int pageSize, int sortType, int isAsc, Long startTime, Long endTime);

    /**
     * 获取用户详情
     *
     * @param userId
     * @return
     */
    UserVO getUserDetail(Long userId);

}
