package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.api.channel.common.pojo.db.ChannelAdminSecurityDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-15 14:12:01
 * @Description 渠道管理员账号持久层
 */
@Mapper
@Repository
public interface ChannelAdminSecurityDAO {
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    int insert(ChannelAdminSecurityDO entity);

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    int updateById(ChannelAdminSecurityDO entity);

    /**
     * 根据主键查询
     *
     * @param adminId
     */
    ChannelAdminSecurityDO selectById(@Param("adminId") Long adminId);

    /**
     * 根据账号查询
     *
     * @param account
     * @return
     */
    ChannelAdminSecurityDO selectByAccount(@Param("account") String account);

    /**
     * 更新密码
     *
     * @param adminId   账号id
     * @param adminPass 密码
     * @return 条数
     */
    int updatePassword(@Param("adminId") Long adminId, @Param("adminPass") String adminPass);

    /**
     * 判断账号是否存在
     *
     * @param adminAccount 账号
     * @return 是否存在
     */
    int countByPhone(@Param("adminAccount") String adminAccount);

    /**
     * 获取adminId
     *
     * @param adminPhone
     * @return
     */
    Long selectAdminId(@Param("adminPhone") String adminPhone);
}
