package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.common.pojo.db.ChannelNotifyConfigDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 渠道异步通知配置 Mapper
 */
@Mapper
@Repository
public interface ChannelNotifyConfigDAO {

    /**
     * 插入数据
     */
    int insert(ChannelNotifyConfigDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ChannelNotifyConfigDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ChannelNotifyConfigDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ChannelNotifyConfigDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ChannelNotifyConfigDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ChannelNotifyConfigDO> selectPageList(QueryWrapper qw);

}