package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.common.pojo.db.ChannelNotifyHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 渠道异步通知记录 Mapper
 */
@Mapper
@Repository
public interface ChannelNotifyHisDAO {

    /**
     * 插入数据
     */
    int insert(ChannelNotifyHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ChannelNotifyHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ChannelNotifyHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ChannelNotifyHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ChannelNotifyHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ChannelNotifyHisDO> selectPageList(QueryWrapper qw);

}