package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.common.pojo.db.ChannelNotifyResendTempDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 渠道回调通知（失败后）重发临时记录 Mapper
 */
@Mapper
@Repository
public interface ChannelNotifyResendTempDAO {

    /**
     * 插入数据
     */
    int insert(ChannelNotifyResendTempDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ChannelNotifyResendTempDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ChannelNotifyResendTempDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ChannelNotifyResendTempDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ChannelNotifyResendTempDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ChannelNotifyResendTempDO> selectPageList(QueryWrapper qw);

    /**
     * 删除已重新发送的列表
     *
     * @param qw
     * @return
     */
    int deleteResendList(QueryWrapper qw);

}