package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.common.pojo.db.ChannelRechargeHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 渠道充值记录 Mapper
 */
@Mapper
@Repository
public interface ChannelRechargeHisDAO {

    /**
     * 插入数据
     */
    int insert(ChannelRechargeHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ChannelRechargeHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ChannelRechargeHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ChannelRechargeHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ChannelRechargeHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ChannelRechargeHisDO> selectPageList(QueryWrapper qw);

    /**
     * 查询支付状态
     *
     * @param hisId
     * @return
     */
    int selectPayStatus(Long hisId);

}