package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.common.pojo.db.ChannelRedEnvelopeHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 渠道发红包记录 Mapper
 */
@Mapper
@Repository
public interface ChannelRedEnvelopeHisDAO {

    /**
     * 插入数据
     */
    int insert(ChannelRedEnvelopeHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ChannelRedEnvelopeHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ChannelRedEnvelopeHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ChannelRedEnvelopeHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ChannelRedEnvelopeHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ChannelRedEnvelopeHisDO> selectPageList(QueryWrapper qw);

}