package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.api.channel.common.pojo.db.ChannelSecretRsaDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 渠道RSA2信息 Mapper
 */
@Mapper
@Repository
public interface ChannelSecretRsaDAO {

    /**
     * 插入数据
     */
    int insert(ChannelSecretRsaDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ChannelSecretRsaDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ChannelSecretRsaDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ChannelSecretRsaDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ChannelSecretRsaDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ChannelSecretRsaDO> selectPageList(QueryWrapper qw);

}