package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import com.starbuds.server.common.pojo.db.ChannelWalletDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 渠道钱包 Mapper
 */
@Mapper
@Repository
public interface ChannelWalletDAO {

    /**
     * 插入数据
     */
    int insert(ChannelWalletDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ChannelWalletDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ChannelWalletDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ChannelWalletDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ChannelWalletDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ChannelWalletDO> selectPageList(QueryWrapper qw);

}