package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import com.starbuds.server.common.pojo.db.ChannelWalletHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 渠道钱包变更记录 Mapper
 */
@Mapper
@Repository
public interface ChannelWalletHisDAO {

    /**
     * 插入数据
     */
    int insert(ChannelWalletHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ChannelWalletHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ChannelWalletHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ChannelWalletHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ChannelWalletHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ChannelWalletHisDO> selectPageList(QueryWrapper qw);

}