package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.api.channel.common.pojo.admin.StatPlatformVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/5/11 17:11
 * @Description 渠道统计持久层
 */
@Mapper
@Repository
public interface StatChannelDAO {

    /**
     * 获取统计
     *
     * @param channelIds
     * @param statTypes
     * @param statTimeType
     * @param startDate
     * @param endDate
     */
    List<StatPlatformVO> selectStat(@Param("channelIds") Set<Long> channelIds,
                                    @Param("statTypes") List<Integer> statTypes,
                                    @Param("statTimeType") Integer statTimeType,
                                    @Param("startDate") Long startDate,
                                    @Param("endDate") Long endDate);

}
