package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.api.channel.common.pojo.admin.UserVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author lilin
 * @DateTime 2020-01-09 15:28:08
 * @Description 用户表持久层
 */
@Mapper
@Repository
public interface UserDAO {


    /**
     * 用户列表
     *
     * @param userIds 用户号集合
     * @return
     */
    List<UserVO> getUserList(@Param("userIds") List<Long> userIds);

    /**
     * 获取用户姓名
     *
     * @param userId
     * @return
     */
    String selectUserName(@Param("userId") Long userId);

    /**
     * 获取用户详情
     *
     * @param userId
     * @return
     */
    UserVO selectDetail(Long userId);

}
