package com.starbuds.server.api.channel.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/2/18 16:00
 * @Description 统计管理
 */
public interface StatFacade {

    /**
     * 获取统计列表
     *
     * @param statType
     * @param statTimeType
     * @param pageIndex
     * @param pageSize
     * @param channelIdArray
     * @return
     */
    Result getStatPlatformPageList(Integer statType,
                                   Integer statTimeType,
                                   int pageIndex,
                                   int pageSize,
                                   String channelIdArray);

    /**
     * 获取平台总统计
     *
     * @return
     */
    Result getCurrentAndYesterdayStat();

    /**
     * 获取统计详情
     *
     * @param timeType
     * @param startTime
     * @param endTime
     * @param statType
     * @return
     */
    Result getStatDetail(Integer timeType, Long startTime, Long endTime, Integer statType);

    /**
     * 时段概况 顶部
     *
     * @param startDate
     * @param endDate
     * @param channelIdArray
     * @return
     */
    Result getPeriodOverviewTop(Long startDate, Long endDate, String channelIdArray);

    /**
     * 时段概况 中间
     *
     * @param startDate
     * @param endDate
     * @param tagType
     * @param channelIdArray
     * @return
     */
    Result getPeriodOverviewMiddle(Long startDate, Long endDate, Integer tagType, String channelIdArray);

    /**
     * 时段概况 底部
     *
     * @param startDate
     * @param endDate
     * @param channelIdArray
     * @return
     */
    Result getPeriodOverviewBottom(Long startDate, Long endDate, String channelIdArray);

    /**
     * 整体趋势 顶部
     *
     * @param startDate
     * @param endDate
     * @param channelIdArray
     * @return
     */
    Result getOverallTrendTop(Long startDate, Long endDate, String channelIdArray);

    /**
     * 整体趋势 中间
     *
     * @param startDate
     * @param endDate
     * @param tagType
     * @return
     */
    Result getOverallTrendMiddle(Long startDate, Long endDate, Integer tagType);

    /**
     * 整体趋势 底部
     *
     * @param startDate
     * @param endDate
     * @param channelIdArray
     * @return
     */
    Result getOverallTrendBottom(Long startDate, Long endDate, String channelIdArray);

    /**
     * 用户访问趋势
     *
     * @param startDate
     * @param endDate
     * @return
     */
    Result getUserAccessTrend(Long startDate, Long endDate);

    /**
     * 用户付费趋势
     *
     * @param startDate
     * @param endDate
     * @return
     */
    Result getUserPaymentTrend(Long startDate, Long endDate);

    /**
     * 渠道注册趋势
     *
     * @param startDate
     * @param endDate
     * @return
     */
    Result getChannelRegisterTrend(Long startDate, Long endDate);
}
