package com.starbuds.server.api.channel.v1.impl;

import com.starbuds.server.api.channel.common.pojo.qo.ChRechargeHisPageListQO;
import com.starbuds.server.api.channel.common.service.admin.ChChannelRechargeHisService;
import com.starbuds.server.api.channel.common.service.admin.ChChannelService;
import com.starbuds.server.api.channel.v1.facade.ChannelRechargeHisFacade;
import com.starbuds.server.common.constant.common.GlobalApiError;
import com.starbuds.server.common.pojo.api.Result;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.rpc.protocol.rest.support.ContentType;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.ws.rs.*;

/**
 * 渠道充值记录控制器
 */
@Path("/v1/channel/recharge/his/")
@Produces(ContentType.APPLICATION_JSON_UTF_8)
@Component
@Slf4j
public class ChannelRechargeHisFacadeImpl extends BaseFacade implements ChannelRechargeHisFacade {

    @Resource
    private ChChannelRechargeHisService chChannelRechargeHisService;

    @Resource
    private ChChannelService chChannelService;

    /**
     * 查询详细信息
     *
     * @param id 主键
     */
    @GET
    @Path("getInfo")
    @Override
    public Result getInfo(@QueryParam("id") Long id) {
        if (id == null) {
            return new Result(GlobalApiError.BadRequest, "id不能为空");
        }
        return new Result(chChannelRechargeHisService.getVOById(id));
    }

    /**
     * 判断是否存在
     *
     * @param id 主键
     * @return true:存在
     */
    @GET
    @Path("exist")
    @Override
    public Result exist(@QueryParam("id") Long id) {
        if (id == null) {
            return new Result(GlobalApiError.BadRequest, "id不能为空");
        }
        return new Result(chChannelRechargeHisService.exist(id));
    }

    /**
     * 分页查询
     */
    @GET
    @Path("getPageList")
    @Override
    public Result getPageList(@BeanParam ChRechargeHisPageListQO qo) {
        qo.setChannelId(getChannelId(qo.getChannelId()));
        return new Result(chChannelRechargeHisService.getVOPageList(qo));
    }

    // 手动编码开始
}
